org.apache.ignite.cache.eviction

## Class AbstractEvictionPolicyFactory<T>

- java.lang.Object
- - org.apache.ignite.cache.eviction.AbstractEvictionPolicyFactory<T>

All Implemented Interfaces:
  Serializable, javax.cache.configuration.Factory<T>

Direct Known Subclasses:
  FifoEvictionPolicyFactory, LruEvictionPolicyFactory, SortedEvictionPolicyFactory

    public abstract class AbstractEvictionPolicyFactory<T>
    extends Object
    implements javax.cache.configuration.Factory<T>

Common functionality implementation for eviction policies factories.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractEvictionPolicyFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBatchSize()` Gets batch size.
`long` `getMaxMemorySize()` Gets maximum allowed cache size in bytes.
`int` `getMaxSize()` Gets maximum allowed size of cache before entry will start getting evicted.
`AbstractEvictionPolicyFactory` `setBatchSize(int batchSize)` Sets batch size.
`AbstractEvictionPolicyFactory` `setMaxMemorySize(long maxMemSize)` Sets maximum allowed cache size in bytes.
`AbstractEvictionPolicyFactory` `setMaxSize(int max)` Sets maximum allowed size of cache before entry will start getting evicted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.cache.configuration.Factory

`create`

### Constructor Detail

#### AbstractEvictionPolicyFactory

    public AbstractEvictionPolicyFactory()

### Method Detail

#### setMaxSize

    public AbstractEvictionPolicyFactory setMaxSize(int max)

Sets maximum allowed size of cache before entry will start getting evicted.

Parameters:
  `max` - Maximum allowed size of cache before entry will start getting evicted.
Returns:
  `this` for chaining.

#### getMaxSize

    public int getMaxSize()

Gets maximum allowed size of cache before entry will start getting evicted.

Returns:
  Maximum allowed size of cache before entry will start getting evicted.

#### setBatchSize

    public AbstractEvictionPolicyFactory setBatchSize(int batchSize)

Sets batch size.

Parameters:
  `batchSize` - Batch size.
Returns:
  `this` for chaining.

#### getBatchSize

    public int getBatchSize()

Gets batch size.

Returns:
  batch size.

#### setMaxMemorySize

    public AbstractEvictionPolicyFactory setMaxMemorySize(long maxMemSize)

Sets maximum allowed cache size in bytes.

Parameters:
  `maxMemSize` - Maximum allowed cache size in bytes.
Returns:
  `this` for chaining.

#### getMaxMemorySize

    public long getMaxMemorySize()

Gets maximum allowed cache size in bytes.

Returns:
  maximum allowed cache size in bytes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023